package com.fs.app.facade;

import com.fs.newAdv.dto.req.QwExternalIdBindTrackReq;
import com.fs.newAdv.dto.req.WeChatLandingIndexReq;
import com.fs.newAdv.dto.req.updateNickNameReq;
import com.fs.newAdv.dto.res.LandingIndexRes;

import java.util.Map;

public interface CallbackProcessingFacadeService {


    /**
     * 链化追踪点击
     *
     * @param allParams
     */
    void saveClickTrace(Long advertiserCode, Map<String, String> allParams);

    /**
     * 根据站点ID获取落地页信息
     *
     * @return
     */
    LandingIndexRes getLandingIndexBySiteId(String viewUrl,Map<String, String> allParams);

    //----------------------code回调---------------------------------
    void gdtGetAuthCode(Integer code, Long state);


    LandingIndexRes getWxLandingIndexBySiteId(WeChatLandingIndexReq req);

    void qwExternalIdBindTrack(QwExternalIdBindTrackReq req);

    void updateNickName(updateNickNameReq req);
}
